# Uses of Enum Class
org.opensaml.storage.impl.client.ClientStorageService.ClientStorageSource

Packages that use ClientStorageService.ClientStorageSource
Package
Description
org.opensaml.storage.impl.client
Implementation of `StorageService` that unifies cookie and HTML Local Storage.

## Uses of ClientStorageService.ClientStorageSource in org.opensaml.storage.impl.client

Fields in org.opensaml.storage.impl.client declared as ClientStorageService.ClientStorageSource
Modifier and Type
Field
Description
`private ClientStorageService.ClientStorageSource`
AbstractClientStorageServiceStore.`source`
Data source.
`private final ClientStorageService.ClientStorageSource`
ClientStorageServiceOperation.`storageSource`
Storage source.
Fields in org.opensaml.storage.impl.client with type parameters of type ClientStorageService.ClientStorageSource
Modifier and Type
Field
Description
`private Map<ClientStorageService.ClientStorageSource,Integer>`
ClientStorageService.`capabilityMap`
Sizes to report for context, key, and value limits when particular sources are used.
Methods in org.opensaml.storage.impl.client that return ClientStorageService.ClientStorageSource
Modifier and Type
Method
Description
`ClientStorageService.ClientStorageSource`
AbstractClientStorageServiceStore.`getSource()`
Get the data source.
`(package private) ClientStorageService.ClientStorageSource`
ClientStorageService.`getSource()`
Get the backing source of the loaded data.
`ClientStorageService.ClientStorageSource`
ClientStorageServiceStore.`getSource()`
Get the data source.
`ClientStorageService.ClientStorageSource`
ClientStorageServiceOperation.`getStorageSource()`
Get storage source.
`static ClientStorageService.ClientStorageSource`
ClientStorageService.ClientStorageSource.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientStorageService.ClientStorageSource[]`
ClientStorageService.ClientStorageSource.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.opensaml.storage.impl.client with parameters of type ClientStorageService.ClientStorageSource
Modifier and Type
Method
Description
`boolean`
ClientStorageSaveContext.`isSourceRequired(ClientStorageService.ClientStorageSource source)`
Get whether a particular storage source is implicated by the queued operations.
`void`
AbstractClientStorageServiceStore.`load(String raw, ClientStorageService.ClientStorageSource src)`
Reconstitute stored data.
`(package private) void`
ClientStorageService.`load(String raw, ClientStorageService.ClientStorageSource source)`
Reconstitute stored data and inject it into the session.
`ClientStorageServiceStore`
ClientStorageServiceStore.Factory.`load(String raw, ClientStorageService.ClientStorageSource src)`
Load raw data into a new `ClientStorageServiceStore` instance.
`void`
ClientStorageServiceStore.`load(String raw, ClientStorageService.ClientStorageSource src)`
Reconstitute stored data.
`ClientStorageServiceStore`
JSONClientStorageServiceStore.JSONClientStorageServiceStoreFactory.`load(String raw, ClientStorageService.ClientStorageSource src)`
Load raw data into a new `ClientStorageServiceStore` instance.
`ClientStorageServiceStore`
XMLClientStorageServiceStore.XMLClientStorageServiceStoreFactory.`load(String raw, ClientStorageService.ClientStorageSource src)`
Load raw data into a new `ClientStorageServiceStore` instance.
`private void`
LoadClientStorageServices.`loadFromCookie(HttpServletRequest httpRequest, ClientStorageService storageService, ClientStorageService.ClientStorageSource source)`
Load the specified storage service from a cookie.
Method parameters in org.opensaml.storage.impl.client with type arguments of type ClientStorageService.ClientStorageSource
Modifier and Type
Method
Description
`void`
ClientStorageService.`setCapabilityMap(Map<ClientStorageService.ClientStorageSource,Integer> map)`
Set the map of storage sources to capability/size limits.
Constructors in org.opensaml.storage.impl.client with parameters of type ClientStorageService.ClientStorageSource
Modifier
Constructor
Description
``
`ClientStorageServiceOperation(String id, String key, String value, ClientStorageService.ClientStorageSource source)`
Constructor.